/**
 * Fetches the input from a parent subnet node.
 *
 * @remarks
 * Can only be created inside a subnet SOP.
 *
 */
import { TypedSopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
import { NetworkChildNodeType } from '../../poly/NodeContext';
declare class SubnetInputSopParamsConfig extends NodeParamsConfig {
    /** @param sets which input of the parent subnet node is used */
    input: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
}
export declare class SubnetInputSopNode extends TypedSopNode<SubnetInputSopParamsConfig> {
    params_config: SubnetInputSopParamsConfig;
    static type(): NetworkChildNodeType;
    private _current_parent_input_graph_node;
    initializeNode(): void;
    cook(): Promise<void>;
    static PARAM_CALLBACK_reset(node: SubnetInputSopNode): void;
    private set_parent_input_dependency;
}
export {};
